---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libretransform003.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4C308, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4E248, symBinAddr: 0xE110, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4E630, symBinAddr: 0xE4F8, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4F5D0, symBinAddr: 0xF498, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4F5D8, symBinAddr: 0xF4A0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4BF98, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4BF9C, symBinAddr: 0xC0AC, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4BFA0, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4C0F0, symBinAddr: 0xC0B8, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4C1A8, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4C1AC, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4C1B0, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4C1B4, symBinAddr: 0xC17C, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4C1B8, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8EC1, offset: 0x8EC1, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4C1C0, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8F4A, offset: 0x8F4A, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4C1D0, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8F63, offset: 0x8F63, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4C1D8, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8F7C, offset: 0x8F7C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4C1E0, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x8F95, offset: 0x8F95, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4C1E8, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x8FAE, offset: 0x8FAE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4C1F0, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x8FC8, offset: 0x8FC8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4C1F8, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x90AE, offset: 0x90AE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4C240, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x90C7, offset: 0x90C7, size: 0x8, addend: 0x0, symName: __ZL8agent_id, symObjAddr: 0xD8C0, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x9119, offset: 0x9119, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x3B9C, symSize: 0xA0 }
  - { offsetInCU: 0x91AE, offset: 0x91AE, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x3B74, symSize: 0x28 }
  - { offsetInCU: 0x9211, offset: 0x9211, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x3AF4, symSize: 0x80 }
  - { offsetInCU: 0x94A5, offset: 0x94A5, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x3C3C, symSize: 0x34 }
  - { offsetInCU: 0x94FF, offset: 0x94FF, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x3C70, symSize: 0x20C }
  - { offsetInCU: 0x96B8, offset: 0x96B8, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x3E7C, symSize: 0x28 }
  - { offsetInCU: 0x9781, offset: 0x9781, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x3EA4, symSize: 0xB0 }
  - { offsetInCU: 0x9878, offset: 0x9878, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x3F54, symSize: 0xD8 }
  - { offsetInCU: 0x99C9, offset: 0x99C9, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x402C, symSize: 0x24 }
  - { offsetInCU: 0x9A8C, offset: 0x9A8C, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x4050, symSize: 0x168 }
  - { offsetInCU: 0x9C68, offset: 0x9C68, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x41B8, symSize: 0x104 }
  - { offsetInCU: 0x9F19, offset: 0x9F19, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x42BC, symSize: 0x3F8 }
  - { offsetInCU: 0xA163, offset: 0xA163, size: 0x8, addend: 0x0, symName: _nsk_jvmti_findOptionIntValue, symObjAddr: 0x2144, symBinAddr: 0x46B4, symSize: 0xDC }
  - { offsetInCU: 0xA201, offset: 0xA201, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x4790, symSize: 0x154 }
  - { offsetInCU: 0xA3E5, offset: 0xA3E5, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x48E4, symSize: 0xAC }
  - { offsetInCU: 0xA4BA, offset: 0xA4BA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x4990, symSize: 0x14 }
  - { offsetInCU: 0xA4F3, offset: 0xA4F3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x49A4, symSize: 0x14 }
  - { offsetInCU: 0xA52C, offset: 0xA52C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x49B8, symSize: 0x14 }
  - { offsetInCU: 0xA6A9, offset: 0xA6A9, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x49CC, symSize: 0x1A8 }
  - { offsetInCU: 0xA9B3, offset: 0xA9B3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x4B74, symSize: 0x140 }
  - { offsetInCU: 0xAB54, offset: 0xAB54, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x4CB4, symSize: 0x9C }
  - { offsetInCU: 0xAC11, offset: 0xAC11, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x4D50, symSize: 0x690 }
  - { offsetInCU: 0xB7A3, offset: 0xB7A3, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x93C0, symBinAddr: 0x61DC, symSize: 0x30 }
  - { offsetInCU: 0xB82F, offset: 0xB82F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x53E0, symSize: 0x74 }
  - { offsetInCU: 0xB8DF, offset: 0xB8DF, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x5454, symSize: 0xB0 }
  - { offsetInCU: 0xBA0A, offset: 0xBA0A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x5504, symSize: 0x3C }
  - { offsetInCU: 0xBB00, offset: 0xBB00, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x5540, symSize: 0x29C }
  - { offsetInCU: 0xBE43, offset: 0xBE43, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x57DC, symSize: 0xD0 }
  - { offsetInCU: 0xBF71, offset: 0xBF71, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x58AC, symSize: 0xC }
  - { offsetInCU: 0xC033, offset: 0xC033, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x58B8, symSize: 0x22C }
  - { offsetInCU: 0xC2EE, offset: 0xC2EE, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5AE4, symSize: 0x4 }
  - { offsetInCU: 0xC332, offset: 0xC332, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5AE4, symSize: 0x4 }
  - { offsetInCU: 0xC34B, offset: 0xC34B, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x5AE8, symSize: 0x330 }
  - { offsetInCU: 0xC6C9, offset: 0xC6C9, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8FFC, symBinAddr: 0x5E18, symSize: 0x4 }
  - { offsetInCU: 0xC70D, offset: 0xC70D, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8FFC, symBinAddr: 0x5E18, symSize: 0x4 }
  - { offsetInCU: 0xC752, offset: 0xC752, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RetransformClasses_retransform003_forceLoadedClassesRetransformation, symObjAddr: 0x9000, symBinAddr: 0x5E1C, symSize: 0x9C }
  - { offsetInCU: 0xC885, offset: 0xC885, size: 0x8, addend: 0x0, symName: __ZL17ClassFileLoadHookP9_jvmtiEnvP7JNIEnv_P7_jclassP8_jobjectPKcS6_iPKhPiPPh, symObjAddr: 0x909C, symBinAddr: 0x5EB8, symSize: 0x324 }
  - { offsetInCU: 0xCC7A, offset: 0xCC7A, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_16CallObjectMethodEP8_jobjectP10_jmethodIDz, symObjAddr: 0x9748, symBinAddr: 0x6564, symSize: 0x30 }
  - { offsetInCU: 0xCD07, offset: 0xCD07, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_22CallStaticObjectMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0x9778, symBinAddr: 0x6594, symSize: 0x30 }
  - { offsetInCU: 0xCD94, offset: 0xCD94, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x93F0, symBinAddr: 0x620C, symSize: 0x358 }
...
